# Makatto

Makatto is a simple webdev stack which which compiles LESS/EJS templates and build a production version of your website.

It also can run as a HTTP server, which watches your files for changes, automatically compiles them and refreshes your browser.

## Install

```
npm install makatto -g
```

## Usage

### Building

```
makatto
```

### Server

```
makatto --server
```

Now point your browser to http://localhost:port (for `port` see _Configuration_) and start to edit your sources.

## Configuration

Key   | Description                                                | Default
----- | ---------------------------------------------------------- | -------
**src**   | Path to tde SRC folder (where you develop your web)    | `./src`
**dist**  | Path to tde DIST folder (where your web will be built) | `./dist`
**port**  | Port on which tde HTTP and WebSocket server will run   | `9000`
**debug** | Switch to debug mode. See _Debug mode_                 | `false`

### Override defaults with CLI arguments

```
makatto --server --port <port> --src <path_to_src> --dist <path_to_dist> --debug
```

### Override defaults with `config.js` file

```
makatto --config path_to_config.js
```
    
An example of such config.js could be:

```javascript
{
  "port"     : 8888,
  "src"      : "c:/web/source",
  "dist"     : "c:/web/build"
  "debug"    : true
}
```

## Debug mode

In debug mode these things happen:

  * Injects a live reload javascript. It automatically reloads CSS/Images/Page after some files are changed.